<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLaborReportStatusesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('labor_report_statuses', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('labor_report_id')->index()->comment('外键临时工报表')->nullable();
            $table->enum('status',['未审核','已入场','已退场','已换组','已退组','已删除'])->default('未审核')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('labor_report_statuses');
    }
}
